Update a clinic-visible patient
curl --request PATCH \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/patients/{patient} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"identity_type": "<string>",
"identity_number": "<string>",
"phone": "<string>",
"secondary_phone": "<string>",
"email": "jsmith@example.com",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"next_of_kin_name": "<string>",
"next_of_kin_relationship": "<string>",
"next_of_kin_phone": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
middle_name: '<string>',
last_name: '<string>',
date_of_birth: '2023-12-25',
identity_type: '<string>',
identity_number: '<string>',
phone: '<string>',
secondary_phone: '<string>',
email: 'jsmith@example.com',
address: '<string>',
city: '<string>',
county: '<string>',
country: '<string>',
next_of_kin_name: '<string>',
next_of_kin_relationship: '<string>',
next_of_kin_phone: '<string>'
})
};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/patients/{patient}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/patients/{patient}"
payload = {
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"identity_type": "<string>",
"identity_number": "<string>",
"phone": "<string>",
"secondary_phone": "<string>",
"email": "jsmith@example.com",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"next_of_kin_name": "<string>",
"next_of_kin_relationship": "<string>",
"next_of_kin_phone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {}
}Staff patients
Update a clinic-visible patient
PATCH
/
patients
/
{patient}
Update a clinic-visible patient
curl --request PATCH \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/patients/{patient} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"identity_type": "<string>",
"identity_number": "<string>",
"phone": "<string>",
"secondary_phone": "<string>",
"email": "jsmith@example.com",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"next_of_kin_name": "<string>",
"next_of_kin_relationship": "<string>",
"next_of_kin_phone": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
middle_name: '<string>',
last_name: '<string>',
date_of_birth: '2023-12-25',
identity_type: '<string>',
identity_number: '<string>',
phone: '<string>',
secondary_phone: '<string>',
email: 'jsmith@example.com',
address: '<string>',
city: '<string>',
county: '<string>',
country: '<string>',
next_of_kin_name: '<string>',
next_of_kin_relationship: '<string>',
next_of_kin_phone: '<string>'
})
};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/patients/{patient}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/patients/{patient}"
payload = {
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"identity_type": "<string>",
"identity_number": "<string>",
"phone": "<string>",
"secondary_phone": "<string>",
"email": "jsmith@example.com",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"next_of_kin_name": "<string>",
"next_of_kin_relationship": "<string>",
"next_of_kin_phone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Partial patient update. clinic_id is not accepted.
Maximum string length:
100Maximum string length:
100Maximum string length:
100Available options:
female, male, intersex, unknown Maximum string length:
50Maximum string length:
100Maximum string length:
50Maximum string length:
50Maximum string length:
255Maximum string length:
500Maximum string length:
100Maximum string length:
100Maximum string length:
100Maximum string length:
255Maximum string length:
100Maximum string length:
50Available options:
active, inactive, deceased Response
Resource returned.